Name:           cardpeek
Version:        0.5
Release:        2%{?dist}
Summary:        Tool to read the contents of smart cards

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://code.google.com/p/cardpeek/
Source0:        http://cardpeek.googlecode.com/files/cardpeek-%{version}.tar.gz
# http://code.google.com/p/cardpeek/issues/detail?id=3
Source1:        cardpeek.desktop
# http://code.google.com/p/cardpeek/issues/detail?id=1
Patch0:         cardpeek-executable-stack.patch
# http://code.google.com/p/cardpeek/issues/detail?id=2
Patch1:         cardpeek-luadetect.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  lua-devel
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel

%description
Cardpeek is a tool to read the contents of ISO7816 smart cards. It
features a GTK GUI to represent card data is a tree view, and is
extendable with a scripting language (LUA).

The tool currently reads the contents of:
    * EMV cards
    * Calypso public transport cards (such as Navigo)
    * Moneo ePurse cards
    * Vitale 2 French health cards.


%prep
%setup -q
%patch0 -p1 -b .executable-stack
%patch1 -p1 -b .luadetect
# regenerate the configure script after patching configure.ac
autoreconf


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove docs from a wrong place
rm -rf $RPM_BUILD_ROOT%{_docdir}/cardpeek/

# install desktop file
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

# install icon file
install -D -p -m 644 icons/smartcard.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/cardpeek.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc doc/cardpeek_ref*.pdf
%{_bindir}/cardpeek
%{_datadir}/applications/cardpeek.desktop
%{_datadir}/icons/hicolor/32x32/apps/cardpeek.png
%{_mandir}/man1/cardpeek.1*


%changelog
* Mon May 03 2010 Kalev Lember <kalev@smartlink.ee> - 0.5-2
- Set StartupNotify=true in desktop file
- Use INSTALL="install -p" to keep timestamps
- Updated description

* Mon Apr 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.5-1
- Initial RPM release
